RDKit: RDKit::Abbreviations::AbbreviationDefinition Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::Abbreviations::AbbreviationDefinition Struct Reference

`#include <Abbreviations.h>`

## Public Member Functions
bool | operator== (const AbbreviationDefinition &other) const
bool | operator!= (const AbbreviationDefinition &other) const

## Public Attributes
std::string | label
std::string | displayLabel
std::string | displayLabelW
std::string | smarts
std::shared_ptr< ROMol > | mol
| optional
std::vector< unsigned int > | extraAttachAtoms
| optional
bool | includesXBonds = true

## Detailed Description

Definition at line 24 of file Abbreviations.h.

## Member Function Documentation

## ◆ operator!=()

bool RDKit::Abbreviations::AbbreviationDefinition::operator!= | ( | const AbbreviationDefinition & | other | ) | const
| inline

Definition at line 37 of file Abbreviations.h.

## ◆ operator==()

bool RDKit::Abbreviations::AbbreviationDefinition::operator== | ( | const AbbreviationDefinition & | other | ) | const
| inline

whether or not the abbreviation definition includes bonds to non-abbreviation atoms

Definition at line 33 of file Abbreviations.h.

References displayLabel, displayLabelW, label, and smarts.

## Member Data Documentation

## ◆ displayLabel

std::string RDKit::Abbreviations::AbbreviationDefinition::displayLabel

Definition at line 26 of file Abbreviations.h.

Referenced by operator==().

## ◆ displayLabelW

std::string RDKit::Abbreviations::AbbreviationDefinition::displayLabelW

Definition at line 27 of file Abbreviations.h.

Referenced by operator==().

## ◆ extraAttachAtoms

std::vector<unsigned int> RDKit::Abbreviations::AbbreviationDefinition::extraAttachAtoms

optional

Definition at line 30 of file Abbreviations.h.

## ◆ includesXBonds

bool RDKit::Abbreviations::AbbreviationDefinition::includesXBonds = true

Definition at line 31 of file Abbreviations.h.

## ◆ label

std::string RDKit::Abbreviations::AbbreviationDefinition::label

Definition at line 25 of file Abbreviations.h.

Referenced by operator==().

## ◆ mol

std::shared_ptr<ROMol> RDKit::Abbreviations::AbbreviationDefinition::mol

optional

Definition at line 29 of file Abbreviations.h.

## ◆ smarts

std::string RDKit::Abbreviations::AbbreviationDefinition::smarts

Definition at line 28 of file Abbreviations.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- Abbreviations.h